過去ログ表示


過去ログ 38 を表示

トピック内全 17 記事中の 1 〜 10 番目を表示
[ 最新記事及び返信フォームをトピックトップへ ]
このトピックの全ページ / [0] [1]

javaのplug-inについて
(#5447) このトピック中1番目の投稿

sun の java のバージョンがこのところ、かなりの早さで
更新されてて、
j2sdk1.4.0をいれたのがごく最近だとおもってたのに、sunの
URLへ昨日とんでゆきましたら、もう
j2sdk1.4.0_03になってて、もうすこし、遅くいれてたら、なんて
強欲なわたしは、おもってしまいました。HDDが余裕がなくなりそうなので
極力要らないソフトを削りつつも、案外重複して、いれて、もったいない
ことをしてるソフトのうち、netscape社の
javaのplug-inがありました。重複してるようで、
どうにかならないものかとは
常づね、思っていましたものですから。

恥しいですが、わたしはj2sdk1.4.0をいれてるにも
かかわらず、netscapeのjavaのplug-inを時間をかけて
いれてました。ダイアルアップ環境なものですから
まったく、無駄な時間とコストをかけていたことに
なります。

j2sdk1.4.0以降にはplug-inの機能がありまして、Plamo LInuxの
「Plamoのお部屋」の
http://phe.phyas.aichi-edu.ac.jp/~cyamauch/pl2.html
netscape 4.7 4.8のノウハウ
というコンテンツで公開されてましたので
PlamoLinuxはもちろん、TurboLinuxでも、すぐにとりいれて
つかいました。この際ですから最新のものをダウンロード
して、設定しました。

sunのjavaのplug-inを利用すると、違いがよくわかります。

j2sdkを導入されてて
mozillaをつかってる方々の中で、わたしのような
ケースの人も少くないのではと(違ってたら、ごめんなさい
ぜひ、mozilla(あるいはnetscape)をつかってるならば
sunのjavaのplug-inをつかうことを
是非、おすすめしたいです。

なお、わたしはsun(社)とは何のかかわりのないものです。

識者の方
あるいは、よけいなお世話をおかけする方には、BBSをさかして
いただきますことを
おわびいたします。





Re[1]: javaのplug-inについて
(#5448) このトピック中2番目の投稿

http://jt.mozilla.gr.jp/releases/mozilla1.3/#java
リリースノートに紹介されているので、sunのJavaPluginをいれるのは普通ではないかなと思います。
ちなみに僕はDebian GNU/Linuxでmpkg-j2sdkを使ってsunのJDKをdebパッケージにしていますが、これだとPluginのインストールも自動でやってくれるので便利です。

Re[1]: javaのplug-inについて
(#5449) このトピック中3番目の投稿

Netscape社は Java Plug-inを持っていなくて、Netscape 6/7 に
同梱されているものは Sun の Plug-in のものなんじゃ?

Netscape 4.7, 4.8 の話?


Re[1]: javaのplug-inについて
(#5450) このトピック中4番目の投稿

> sun の java のバージョンがこのところ、かなりの早さで
> 更新されてて、
> j2sdk1.4.0をいれたのがごく最近だとおもってたのに、sunの
> URLへ昨日とんでゆきましたら、もう
> j2sdk1.4.0_03になってて、もうすこし、遅くいれてたら、なんて
> 強欲なわたしは、おもってしまいました。

03/04/21現在、javaはplug-in 1.4.1、jdkは1.4.1_0?になっています。
plug-inだけが必要なのであれば、
jdc.sun.co.jp/
でjava plug-in 日本語ホームページを選択してその次のページでコンシューマを
選択します。そこにあります。


便乗質問
(#5452) このトピック中5番目の投稿

OSはw2kなのですが、
何度もmozilaを入れ直しているうちにjavaのプラグインが認識されなくなってしまいました。
sunのホームページからいろんなバージョンをすべて入れてみたのですが、

Java Plug-in 1.4.2 for Netscape Navigator (DLL Helper)
とDLL Helper
となっていてまともに認識されていないようです。

Re[3]: 便乗質問(1.4.2ベータはMozillaではダメ?)
(#5453) このトピック中6番目の投稿

> sunのホームページからいろんなバージョンをすべて入れてみたのですが、

やれやれ(^^;

> Java Plug-in 1.4.2 for Netscape Navigator (DLL Helper)
> とDLL Helper
> となっていてまともに認識されていないようです。

Mozilla-trunk/Win-Meですが、1.4.2ベータは、Netscape 7.02では一応動いたんですが、どうもMozillaでは動かないようです。
Netscape 4.78やOpera7もダメでした。
コントロールパネルのJavaプラグインの設定では、Netscape 6に対するプラグインのオンオフしか効かず、IEに関しては設定できない状態でしたし、ベータ版だから使用できる範囲に制限があってもなんの不思議もありません。
SUNのサイトで見ると、1.4.1_02が正式版の最新のはずです。


Re: 便乗質問
(#5454) このトピック中7番目の投稿

> 何度もmozilaを入れ直しているうちにjavaのプラグインが認識されなくなってしまいました。
> sunのホームページからいろんなバージョンをすべて入れてみたのですが、
>
> Java Plug-in 1.4.2 for Netscape Navigator (DLL Helper)
> とDLL Helper
> となっていてまともに認識されていないようです。
DLL Helperという表記自体は正しいと思います。たぶん認識はされているのでは
無いかと。
しかし、前のバージョンのplug-inのままでそれが認識されているだけだと、
それでは動かないかもしれません。
それから同じ表記でも異なるdllファイルがいくつかあるはずです。
NPJava11.dll
NPJava12.dll
NPJava13.dll
NPJava32.dll
NPJPI141_02.dll <-------これはjdk1.4.1_02の場合
NPOJI610.dll
です。
plug-inのJava Plug-in 1.4.? for Netscape Navigator (DLL Helper)の
ファイル名を確認してください。
特にNPOJI610.dllは重要です。
これがないと、Netscape6以降は反応しないと思います。

それから、私はmozillaにしてからjava plug-inを自動でブラウザに導入できた
試しがありません。
インストール先がデフォルトでは無いせいでしょうか。

私は上のファイルを手動でmozillaのplug-inフォルダに入れています。
C:\Program Files\Java\j2re1.4.1_02\binの下にある上記のファイルを
コピーしてplug-inフォルダに入れるわけです。
wadaさんの問題もこれではないかと思われます。

あくまでwindowsの話です。ちなみに私は未だにwin98です。
先日、vectorのあるプログラムでシステムを破壊された不安定なマシンでも
動くのでたぶん大丈夫だと思います(笑)。

Re[4]: Re: 便乗質問
(#5457) このトピック中8番目の投稿

matsuさん、こんにちは。
私もj2re-1_4_1_02-windows-i586-i.exeをWin200Proにインストールしています。確かにdllはMozilla13のpluginsにはなく、netscapeにあります。しかし、Mozilla13から
http://java.sun.com/getjava/ja/
に入り、ダウンロードをクリックすると、netscape用のページに移り、最新のJavaがインストールされているとでてきます。
また稚拙ながら自分で作ったjavascriptも動いているようです。
私の場合、Javaはうまく働いているような気もするのですが、pluginフォルダになくても良い場合もあるのでしょうか?それとも、うまくいかない機能を見逃しているのでしょうか?初心者なので説明がなっていないかもしれません。お許しください。

Re[5]: Re: 便乗質問
(#5458) このトピック中9番目の投稿

> matsuさん、こんにちは。
> 私もj2re-1_4_1_02-windows-i586-i.exeをWin200Proにインストールしています。確かにdllはMozilla13のpluginsにはなく、netscapeにあります。しかし、Mozilla13から
> http://java.sun.com/getjava/ja/
> に入り、ダウンロードをクリックすると、netscape用のページに移り、最新のJavaがインストールされているとでてきます。

quantum1さん、レスありがとうございます。
Congratulations!と書かれたバナーのような物がjavaプログラムが
表示されたということはjreが動いたということだ思います。
たぶん、quantum1さんの場合、netscapeをインストールしているか、
以前インストールしており、mozillaのインストールの際にnetscape
プラグインを使いますか?というような質問に答えているからだと思います。
netscapeが無い状態でmozillaをインストールするとそのような設定にならず、
現在のjava plug-inではnetscapeのインストールしか調べないので、
mozillaブラウザそのものにplug-inを自動で導入することはできないと
思われます。
mozillaがnetscapeフォルダのplug-inを使う設定をしており、
java plug-inがnetscapeを認識していれば、quantum1さんのように
問題なくjavaが動くのではないでしょうか?

> また稚拙ながら自分で作ったjavascriptも動いているようです。

javascriptはjavaではありません。javaとの相性や当時のjavaの流行に
乗るためにlivescriptから名称を変更した物です。
未だに、javaプログラムと書いてあるのでダウンロードしたら、
javascriptだったということが多々あり、この辺の誤解をどうにかしてほしいと
個人的には思っております。vectorとかもそうです。

Re[4]: Re: 便乗質問
(#5460) このトピック中10番目の投稿

> wadaさんの問題もこれではないかと思われます。

1.4.2ベータ、って、Sun Javaの1.4.2ベータ版のことです。
4月の初めくらいに公開されたんだったかな。
Java 1.4.1_02と似ているし、Mozillaもちょうど1.4ベータだし、まぎらわしいですね。

> それから、私はmozillaにしてからjava plug-inを自動でブラウザに導入できた
試しがありません。
> インストール先がデフォルトでは無いせいでしょうか。

Sun Javaのインストーラーは、1.4.1からだったと思いますが、Mozillaも認識してくれるようになったはずです。
もちろん、インストーラー版のMozillaで導入しないとレジストリーに導入先のパスが書かれないので、ZIP版の場合は、インストーラー版のMozillaかNetscape 7かNetscape 6のPluginsから、あるいは、Javaのライブラリーからコピーしないとだめですけどね。

ただ、Mozillaのインストーラー版が入っている場合でも、アンインストールしないでMozillaのインストールを繰り返すと、プラグインのインストーラーによってはアプリケーションの導入先の判定をミスする場合があるようです。
Javaだったかどうかの記憶は定かではありませんが、Netscape 7の、英語版、日本語版、日本語版のブラウザーだけ、の3種を、アンインストールなしでそれぞれ別のディレクトリーに導入した状況だと、プラグインを導入してくれなかったことがあります。

なお、Sun Java 1.4.2(1.4.1_02じゃなく)からは、NPJava14.dll というのもできるようです。
手動でコピーすると、忘れそうですね(^^;


[ 次のトピック内容10件 ]
このトピックの全ページ / [0] [1]

返信不可


- Child Tree -